# Point of Sale - Clear product search on click

The POS search workflow is to type the product name until there is only one product left to be selected. Then the user will select the product by typing on the “enter” key. To select a product clears the search. This workflow is very efficient but it requires training.

This add-on completes the POS search workflow for beginners. This add-on enables users to search and narrow down the product selection to a handful of products. The user can then use the mouse and click on the product to select. To click on the product clears the search. The default workflow is still usable for trained users. This new workflow is deemed less efficient but has proven to help beginners.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Simply install this addon, search a product in point of sale, and click on the product you want to add to the order, you’ll see the search is cleared when you click.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Le Nid

## Contributors

- Le Nid
- CoopITEasy
- Dhara Solanki <dhara.solanki@initos.com>
- Juan Carlos Bonilla <juancarlos.bonilla@factorlibre.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/pos project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.